Skip to main content
GET
Get an Instagram comment (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Path Parameters

id
string
required

Instagram post shortcode (e.g. DdaSlMIgeTm, as in instagram.com/p/DdaSlMIgeTm) or strong ID in media_id_user_id format (e.g. 3606450040306139062_4836333238).

Pattern: ^[A-Za-z0-9_-]+$
commentId
string
required

ID of the top-level comment.

Query Parameters

fields
enum<string>[]

Instagram comment fields to return. Comma-separated. Allowed values: id, text, parentPostId, parentPostUserId, type, parentCommentId, repliedToCommentId, childCommentCount, userId, username, fullName, likeCount, status, isSpam, hasTranslation, createdAt, createdAtTimestamp, createdAtDate, images.

Available options:
id,
text,
parentPostId,
parentPostUserId,
type,
parentCommentId,
repliedToCommentId,
childCommentCount,
userId,
username,
fullName,
likeCount,
status,
isSpam,
hasTranslation,
createdAt,
createdAtTimestamp,
createdAtDate,
images

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required